#include <iostream>

using namespace std;

int knjige[1000000];


int main()
{
	int N, a, t;
	scanf("%d", &N);
	int max = -1;
	int maxp;
	for(int i = 0; i<N;i++)
	{
		scanf("%d", &a);
		knjige[i] = a;
		if(a>max){
			max = a;
			maxp = i;
		}
	}
	for(int i = 0;i<N;i++)
	{
		if(max>knjige[i])
		{
			knjige[maxp] = knjige[i];
			knjige[i] = max;
			goto kraj;
		}
		max = -1;
		for(int j = i+1;j<N;j++)
		{
			if(knjige[j]>=max)
			{
				max = knjige[j];
				maxp = j;
			}
		}
	}
	if(max>knjige[N-1])
	{
		knjige[maxp] = knjige[N-1];
		knjige[N-1] = max;
		goto kraj;
	}
	for(int i = 0;i<N-1;i++)
	{
		if(knjige[i]==knjige[i+1])
		{
			goto kraj;
		}
	}
	t = knjige[N-2];
	knjige[N-2] = knjige[N-1];
	knjige[N-1] = t;
	kraj:
	for(int i = 0;i<N;i++)
	{
		printf("%d ", knjige[i]);
	}
	return 0;
}